WordPress.org

Forums

[resolved] Bug: Your Browser is out of Date! (7 posts)

  1. Sir Trevor
    Member
    Posted 3 years ago #

    The Browser Out of Date notice pops up for me when it shouldn't. The notice needs to pay to attention to not only the browser version used, but the OS version. The newest versions of most browsers are not compatible with many older versions of the popular OSes. Specifically I am running Safari 5.0.6 on Mac OS X v10.5.8, the latest version for that OS.

    I'm running the latest that my (older) OS supports, so even though there are newer browsers for newer OSes, I should not see the notice.

  2. That's an interesting point, but I think, for the most part, the warning should stay.

    You ARE using an old browser. That means some things just aren't going to work right or look right. I use XP at work and have the same issue.

    There's an option to hide the alerts, and you'll just need to use that till you bit the Lion Bullet :/

  3. Sir Trevor
    Member
    Posted 3 years ago #

    I can't upgrade to Lion without buying a new computer. And Safari 5.0.6 came out at the same time as Safari 5.1.

  4. I get that, I really do. But it's not a BUG. It's a valid point. It's annoying. It's not a bug.

    You're running an old browser (and an old OS), and you can't upgrade. That doesn't change the fact that they are, both, out of date and do NOT support things that Safari 5.1 (for example) does. Otherwise you'd have Safari 5.1 and not 5.0.6. (And don't get me started on the annoyance of OS's requiring you to upgrade hardware to upgrade software. Microsoft's just as bad.) You get this alert on any old OS with a non-latest browser (XP only goes to IE 8, which is out of date).

    So the point I have is this: Your browser's old and not supported anymore past security fixes. It's not being actively developed, it won't get the new HTML5 whizzbangs. It's old and it may not work right on WP. WordPress is alerting you to this.

    If you don't like it (and who would when they can't upgrade?) you can click the link that says 'Dismiss' and it'll go away. Or you can install this plugin: http://wordpress.org/extend/plugins/no-browser-nag/

    Just remember to uninstall it when you do get that new computer.

  5. Sir Trevor
    Member
    Posted 3 years ago #

    It's a bug whenever you are told to do an action that is impossible to perform.

  6. fonglh
    Member
    Posted 3 years ago #

    No, it's a bug when it does not work the way it's designed to.

    This warning is meant to tell you when your browser is out of date, and that's exactly what it's doing.

  7. It's a bug whenever you are told to do an action that is impossible to perform.

    Ah. Okay, as fonglh pointed out, that's the wrong definition :) The software is working as designed. That YOU cannot perform it doesn't make it wrong, just annoying.

    As I said before, if you don't like it, click the link that says 'Dismiss' and it'll go away. Or you can install this plugin: http://wordpress.org/extend/plugins/no-browser-nag/

    If THAT doesn't work, the dismiss button, THEN it might be a bug :)

Topic Closed

This topic has been closed to new replies.

About this Topic